# TODO
# - add codepress (http://codepress.org/index.php) patch
# - use system jquery (js/jquery), tcpdf (libraries/tcpdf) and php-gettext (libraries/gettext)
Summary:	phpMyAdmin - web-based MySQL administration
Summary(pl.UTF-8):	phpMyAdmin - administracja bazami MySQL przez WWW
Name:		phpMyAdmin
Version:	4.5.3.1
Release:	1
License:	GPL v2
Group:		Applications/Databases/Interfaces
Source0:	https://files.phpmyadmin.net/%{name}/%{version}/%{name}-%{version}-all-languages.tar.xz
# Source0-md5:	e7e9981c75d356f5fb932e1a2e4978f8
Source1:	%{name}-apache.conf
Source2:	%{name}-lighttpd.conf
Patch0:		%{name}-config.patch
Patch1:		%{name}-ServerSelectDisplayName.patch
URL:		http://www.phpmyadmin.net/
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# phpMyAdmin doesn't support mysql < 5.5 and won't work with php < 5.3
Requires:	mysql-libs >= 5.5
Requires:	php(core) >= 5.3
Requires:	php(ctype)
Requires:	php(filter)
Requires:	php(json)
Requires:	php(mbstring)
Requires:	php(mcrypt)
Requires:	php(mysqli)
Requires:	php(pcre)
Requires:	php(session)
Requires:	php(simplexml)
Requires:	webapps
Requires:	webserver(access)
Requires:	webserver(alias)
Requires(triggerpostun):	sed >= 4.0
Suggests:	webserver(indexfile)
Suggests:	webserver(php)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{_datadir}/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
phpMyAdmin can administer a whole MySQL-server (needs a super-user)
but also a single database. To accomplish the latter you'll need a
properly set up MySQL-user who can read/write only the desired
database. It's up to you to look up the appropiate part in the MySQL
manual. Currently phpMyAdmin can:
- create and drop databases
- create, copy, drop and alter tables
- delete, edit and add fields
- execute any SQL-statement, even batch-queries
- manage keys on fields
- load text files into tables
- create (*) and read dumps of tables
- export (*) and import data to CSV values
- administer multiple servers and single databases
- check referencial integrity
- create complex queries automatically connecting required tables
- create PDF graphics of your database layout
- communicate in more than 50 different languages

%description -l pl.UTF-8
phpMyAdmin potrafi zarządzać całymi bazami MySQL (potrzebne
uprawnienia superużytkownika) jak i pojedynczymi bazami danych.
Potrzebny jest użytkownik, który ma prawa zapisu/odczytu tylko tych
baz, którymi chcemy administrować (więcej informacji w odpowiedniej
podręcznika MySQL). Aktualnie phpMyAdmin potrafi:
- tworzyć i usuwać bazy
- wykonywać create, copy, drop oraz alter na tabelach
- dodawać, usuwać i modyfikować pola
- wykonywać dowolne zapytania SQL
- zarządzać kluczami na rekordach
- wczytywać tekst z plików do tabel
- obsługiwać ponad 20 języków
- zarządzać wieloma serwerami i pojedynczymi bazami danych
- eksportować i importować dane do wartości CSV
- tworzyć i czytać zrzuty tabel

%prep
%setup -q -n %{name}-%{version}-all-languages
%patch0 -p1
%patch1 -p0

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}}

cp -p *.php *.css favicon.ico robots.txt $RPM_BUILD_ROOT%{_appdir}
cp -a js libraries locale templates themes $RPM_BUILD_ROOT%{_appdir}

cp -p libraries/config.default.php $RPM_BUILD_ROOT%{_sysconfdir}/config.inc.php
ln -sf %{_sysconfdir}/config.inc.php $RPM_BUILD_ROOT%{_appdir}/config.inc.php

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc ChangeLog README examples
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.php
%dir %{_appdir}
%{_appdir}/js
%{_appdir}/libraries
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes
%{_appdir}/*.css
%{_appdir}/*.php
%{_appdir}/favicon.ico
%{_appdir}/robots.txt
%changelog
* Tue Jan 19 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/phpMyAdmin.git;a=log;h=master

* Tue Jan 19 2016 Marcin Krol <hawk@tld-linux.org> cecc4de
- updated to 4.5.3.1

* Sun Aug 09 2015 Marcin Krol <hawk@tld-linux.org> 48b3849
- updated to 4.4.13.1

* Sat Jul 25 2015 Marcin Krol <hawk@tld-linux.org> 5a94fc2
- updated to 4.4.12

* Wed Feb 11 2015 Marcin Krol <hawk@tld-linux.org> 607c18d
- typo in config patch, fixes problem with throwing on screen error
  while browsing tables, later versions are affected due to code
  change

* Wed Feb 11 2015 Marcin Krol <hawk@tld-linux.org> 7def8a1
- updated to 4.3.9

* Thu Jan 29 2015 Marcin Krol <hawk@tld-linux.org> 7f46dfc
- updated to 4.3.8

* Tue Nov 11 2014 Marcin Krol <hawk@tld-linux.org> b373527
- updated to 4.2.11

* Sat Oct 04 2014 Marcin Krol <hawk@tld-linux.org> 430202c
- updated to 4.2.9.1

* Tue Jul 01 2014 Marcin Krol <hawk@tld-linux.org> 26a41ff
- updated to 4.2.5

* Tue Jun 10 2014 Marcin Krol <hawk@tld-linux.org> 1cf787a
- updated to 4.2.3

* Thu Jun 05 2014 Marcin Krol <hawk@tld-linux.org> e8ed5d1
- release 1

* Thu Jun 05 2014 Marcin Krol <hawk@tld-linux.org> 6a40870
- drop deleted patch

* Thu Jun 05 2014 Marcin Krol <hawk@tld-linux.org> 2f41ad5
- unify source config filenames

* Thu Jun 05 2014 Marcin Krol <hawk@tld-linux.org> 05f65ce
- unify soruce config filenames

* Thu Jun 05 2014 Marcin Krol <hawk@tld-linux.org> f9ba743
- part of config patch now

* Thu Jun 05 2014 Marcin Krol <hawk@tld-linux.org> 08ff1d6
- drop pointless "do not edit" header, customize to look and behave
  more like old versions (habits die hard)

* Thu Jun 05 2014 Marcin Krol <hawk@tld-linux.org> fbfd79a
- no apache 2.2 in TLD, revert config to apache 2.4 version only

* Thu Jun 05 2014 Marcin Krol <hawk@tld-linux.org> e9212e0
- updated to 4.2.2

* Thu Jun 05 2014 Marcin Krol <hawk@tld-linux.org> 9854e62
- from PLD

